%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Einfuehrung in MATLAB
%
% 2006-04-06, Jens Saak 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Definition von Skalaren, Vektoren und Matrizen
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
echo on;

x = 4

pause

x = 5;

pause

u = [1 2 , 3 4]

pause

v = [1 2 3 4]'

pause

w = [1 ; 2 ; 3 ; 4]

pause

A = [1 2 ; 3 4]     

pause

B = A'

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Spezielle Funktionen fuer Matrizen und Vektoren
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% size 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n = size(u,1)

n = size(u,2)

m = size(A,1)

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% diag
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

u

A = diag(u)

B

z = diag(B)

C = diag(diag(B))

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% zeros, ones
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

m = size(C, 1)

z = ones(m, 1)

y = zeros(m, 1)'

A = ones(m, m)

B = zeros(m, m+1)

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% abs, max
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

y = [1 -5 3]

a = max(y)

b = max(abs(y))

pause

A = [2 8 4;
     7 3 9]

e = max(A,[],1)

f = max(A,[],2)

pause

B = [-5  7 -12;
     -1 -8   4]

g = max(abs(B),[],1)

h = max(abs(B),[],2)

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% norm, norm( , inf)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

x = [3 -4]

y = norm(x)

z = norm(x, inf)

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Matrix-Matrix, Matrix-Vektor, Vektor-Vektor-Multipl.
% Matrixinverse
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

A = [3 2;
     5 4]

B = inv(A)

pause

C = [1 2;
     3 4]

D = A * C

E = B * A

pause

A

x = [1;
     2]

y = A * x

z = x' * A

pause

a = x' * x

b = a^2

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Komponentenweise Operationen (.*, .^ ...)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

A.^2

pause

A.*C

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Schleifen (while, for)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

i = 0

while(i < 3)
  i = i + 1
end

pause

n = 5

for i = 1:n
 i 
end;

pause

for i=0:0.2:1
 i
end

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% If-Abfragen 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n = 5

for i = 1:n
  if ( (i > n-4) & ( i < n-1) ) 
    i
  end 
end

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Summation
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

x = [1;
     2;
     3]

y = x(1) + x(2) + x(3)

z = sum(x(1:3))

pause

A = [1 2 3;
     4 5 6];

u = sum(A(1,1:2))

v = sum(A(2,1:3))

pause

x = [1 2 3]

w = sum( A(1,1:3) .* x(1:3) )

w1 = A * x'

w2 = sum( A(1,1:2) .* x(1:2) )

pause


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Ausgabebefehle 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for(j=1:5)
  display(j);
end

pause

for(j=1:5)
  fprintf('%3i \t %e \n',j, 0.1 * j^3 / (j+1));
end

pause

for(j=1:21)
  x(j) = 0.1 * j^3 / (j+1);
end

plot([-1:0.1:1], x);

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Einbinden von m-Files
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

example_1              % load/run example_1.m

A

b

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Lsen Linearer Gleichungssysteme
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

xexact = [1 -1 1 -1 2 -2 2 -2]'

C=inv(A)

xinv = C*b

pause

xstab = A\b

pause

err_inv = xinv - xexact

err_stab = xstab - xexact

hold on
plot([1:length(xexact)],err_inv,'r--')
plot([1:length(xexact)],err_stab,'g.-')
hold off

pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Eigene Funktionen
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

a = [1 -9/4 13/8 -3/8]

x=[0:.1:1]'

help poly  %Anzeigen der Funktionshilfe

pause

y = poly(a,x)

pause

plot(x,y)

echo off;
%EOF







